### Enumeration

# WPEWebKit PolicyError

since: 2.0

#### Declaration

    error-domain WPEWebKit.PolicyError

#### Description [src]

Enum values used to denote the various policy errors.

Available since: 2.0

#### Members

`WEBKIT_POLICY_ERROR_FAILED`

  Generic load failure due to policy error.

  - Value: `199`
  - Nickname: `failed`
  - Available since: 2.0
`WEBKIT_POLICY_ERROR_CANNOT_SHOW_MIME_TYPE`

  Load failure due to unsupported mime type.

  - Value: `100`
  - Nickname: `cannot-show-mime-type`
  - Available since: 2.0
`WEBKIT_POLICY_ERROR_CANNOT_SHOW_URI`

  Load failure due to URI that can not be shown.

  - Value: `101`
  - Nickname: `cannot-show-uri`
  - Available since: 2.0
`WEBKIT_POLICY_ERROR_FRAME_LOAD_INTERRUPTED_BY_POLICY_CHANGE`

  Load failure due to frame load interruption by policy change.

  - Value: `102`
  - Nickname: `frame-load-interrupted-by-policy-change`
  - Available since: 2.0
`WEBKIT_POLICY_ERROR_CANNOT_USE_RESTRICTED_PORT`

  Load failure due to port restriction.

  - Value: `103`
  - Nickname: `cannot-use-restricted-port`
  - Available since: 2.0

#### Type functions

###### webkit_policy_error_quark

Gets the quark for the domain of policy errors.

since: 2.0